Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdService.VAT

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdService
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdService.VAT

Enclosing class:
  cmdService

    public static class cmdService.VAT
    extends cmdService

Class VAT - provides methods for working with tax rates on the Fiscal devices

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdService

  `cmdService.VAT`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VAT()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCurrencyName()` |
  `java.lang.String` | `getDecimals()` |
  `java.lang.String` | `getEnabledMask()` |
  `java.lang.String` | `getMultiplier()` |
  `java.lang.String` | `getTaxA()` |
  `java.lang.String` | `getTaxB()` |
  `java.lang.String` | `getTaxC()` |
  `java.lang.String` | `getTaxD()` |
  `java.lang.String` | `getTaxE()` |
  `java.lang.String` | `getTaxF()` |
  `java.lang.String` | `getTaxG()` |
  `java.lang.String` | `getTaxH()` |
  `void` | `initVatEnabled()` | Initialize VAT enabled mask enabled-true or disabled-false
  `boolean` | `isEnableTaxA()` |
  `boolean` | `isEnableTaxB()` |
  `boolean` | `isEnableTaxC()` |
  `boolean` | `isEnableTaxD()` |
  `boolean` | `isEnableTaxE()` |
  `boolean` | `isEnableTaxF()` |
  `boolean` | `isEnableTaxG()` |
  `boolean` | `isEnableTaxH()` |
  `void` | `readVatRates()` | Reading VAT rates and set initialization
  `void` | `saveVatRates​(java.lang.String TaxA, java.lang.String TaxB, java.lang.String TaxC, java.lang.String TaxD, java.lang.String TaxE, java.lang.String TaxF, java.lang.String TaxG, java.lang.String TaxH)` | Programming of VAT rates
  `void` | `setCurrencyName​(java.lang.String currencyName)` |
  `void` | `setDecimals​(java.lang.String decimals)` |
  `void` | `setEnabledMask​(java.lang.String enabledMask)` |
  `void` | `setEnableTaxA​(boolean enableTaxA)` |
  `void` | `setEnableTaxB​(boolean enableTaxB)` |
  `void` | `setEnableTaxC​(boolean enableTaxC)` |
  `void` | `setEnableTaxD​(boolean enableTaxD)` |
  `void` | `setEnableTaxE​(boolean enableTaxE)` |
  `void` | `setEnableTaxF​(boolean enableTaxF)` |
  `void` | `setEnableTaxG​(boolean enableTaxG)` |
  `void` | `setEnableTaxH​(boolean enableTaxH)` |
  `void` | `setMultiplier​(java.lang.String multiplier)` |
  `void` | `setTaxA​(java.lang.String taxA)` |
  `void` | `setTaxB​(java.lang.String taxB)` |
  `void` | `setTaxC​(java.lang.String taxC)` |
  `void` | `setTaxD​(java.lang.String taxD)` |
  `void` | `setTaxE​(java.lang.String taxE)` |
  `void` | `setTaxF​(java.lang.String taxF)` |
  `void` | `setTaxG​(java.lang.String taxG)` |
  `void` | `setTaxH​(java.lang.String taxH)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdService

  `customCommand, GetDeviceSerialNumber, GetFiscalMemoryNumber, getLastErrorMessage, isErrorMessageInResponse, PrintDiagnosticInfo, setErrorMessageInResponse`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VAT

    public VAT()

- ## Method Details

  - ### getTaxA

    public java.lang.String getTaxA()

  - ### setTaxA

    public void setTaxA​(java.lang.String taxA)

  - ### getTaxB

    public java.lang.String getTaxB()

  - ### setTaxB

    public void setTaxB​(java.lang.String taxB)

  - ### getTaxC

    public java.lang.String getTaxC()

  - ### setTaxC

    public void setTaxC​(java.lang.String taxC)

  - ### getTaxD

    public java.lang.String getTaxD()

  - ### setTaxD

    public void setTaxD​(java.lang.String taxD)

  - ### getTaxE

    public java.lang.String getTaxE()

  - ### setTaxE

    public void setTaxE​(java.lang.String taxE)

  - ### getTaxF

    public java.lang.String getTaxF()

  - ### setTaxF

    public void setTaxF​(java.lang.String taxF)

  - ### getTaxG

    public java.lang.String getTaxG()

  - ### setTaxG

    public void setTaxG​(java.lang.String taxG)

  - ### getTaxH

    public java.lang.String getTaxH()

  - ### setTaxH

    public void setTaxH​(java.lang.String taxH)

  - ### isEnableTaxA

    public boolean isEnableTaxA()

  - ### setEnableTaxA

    public void setEnableTaxA​(boolean enableTaxA)

  - ### isEnableTaxB

    public boolean isEnableTaxB()

  - ### setEnableTaxB

    public void setEnableTaxB​(boolean enableTaxB)

  - ### isEnableTaxC

    public boolean isEnableTaxC()

  - ### setEnableTaxC

    public void setEnableTaxC​(boolean enableTaxC)

  - ### isEnableTaxD

    public boolean isEnableTaxD()

  - ### setEnableTaxD

    public void setEnableTaxD​(boolean enableTaxD)

  - ### isEnableTaxE

    public boolean isEnableTaxE()

  - ### setEnableTaxE

    public void setEnableTaxE​(boolean enableTaxE)

  - ### isEnableTaxF

    public boolean isEnableTaxF()

  - ### setEnableTaxF

    public void setEnableTaxF​(boolean enableTaxF)

  - ### isEnableTaxG

    public boolean isEnableTaxG()

  - ### setEnableTaxG

    public void setEnableTaxG​(boolean enableTaxG)

  - ### isEnableTaxH

    public boolean isEnableTaxH()

  - ### setEnableTaxH

    public void setEnableTaxH​(boolean enableTaxH)

  - ### getMultiplier

    public java.lang.String getMultiplier()

  - ### setMultiplier

    public void setMultiplier​(java.lang.String multiplier)

  - ### getDecimals

    public java.lang.String getDecimals()

  - ### setDecimals

    public void setDecimals​(java.lang.String decimals)

  - ### getCurrencyName

    public java.lang.String getCurrencyName()

  - ### setCurrencyName

    public void setCurrencyName​(java.lang.String currencyName)

  - ### getEnabledMask

    public java.lang.String getEnabledMask()

  - ### setEnabledMask

    public void setEnabledMask​(java.lang.String enabledMask)

  - ### saveVatRates

    public void saveVatRates​(java.lang.String TaxA, java.lang.String TaxB, java.lang.String TaxC, java.lang.String TaxD, java.lang.String TaxE, java.lang.String TaxF, java.lang.String TaxG, java.lang.String TaxH) throws java.lang.Exception
    Programming of VAT rates
    Parameters:
      `TaxA` - Value of VAT rate X;
      `TaxB` -
      `TaxC` -
      `TaxD` -
      `TaxE` -
      `TaxF` -
      `TaxG` -
      `TaxH` -
    Throws:
      `java.lang.Exception`

  - ### readVatRates

    public void readVatRates() throws java.lang.Exception
    Reading VAT rates and set initialization
    Throws:
      `java.lang.Exception`

  - ### initVatEnabled

    public void initVatEnabled() throws java.lang.Exception
    Initialize VAT enabled mask enabled-true or disabled-false
    Throws:
      `java.lang.Exception`